## groovy.util
Class NodePrinter

A helper class for creating nested trees of data

author:
  James Strachan

author:
  Christian Stein

version:
  $Revision: 6778 $

Field Summary
`IndentPrinter` | `out`

Constructor Summary
`NodePrinter()`
`NodePrinter(PrintWriter out)`
`NodePrinter(IndentPrinter out)`

Method Summary
`void` | `print(Node node)`
`void` | `printAttributes(Map attributes)`
`void` | `printList(List list)`
`void` | `printName(Node node)`

Constructor Detail

### NodePrinter

    public NodePrinter()

### NodePrinter

    public NodePrinter(PrintWriter out)

### NodePrinter

    public NodePrinter(IndentPrinter out)

Method Detail

### print

    public void print(Node node)

### printAttributes

    void printAttributes(Map attributes)

### printList

    void printList(List list)

### printName

    void printName(Node node)